Summary: JX is a C++ application framework for X Windows.
Name: JX
Version: 1.1.18
Release: 1
ExclusiveArch: i386
ExclusiveOS: Linux
Copyright: SYPP License - Free for non-commercial use.
Group: X11/Libraries
Source: JX-1.1.18.tar
AutoReqProv: no

%description
JX is a full-featured C++ application framework and GUI class library \
for X Windows.  (http://www.cco.caltech.edu/~jafl/jx/)

%prep
%setup 

%install

mkdir /usr/doc/JX-1.1.18
cp README LICENSE CHANGES doc/* /usr/doc/JX-1.1.18
cp -r libjcore/doc  /usr/doc/JX-1.1.18/libjcore
cp -r libjx/doc     /usr/doc/JX-1.1.18/libjx

cp -r include/jcore                   /usr/include/jcore
cp lib/libjcore-1.1.18.a              /usr/lib
install -m755 lib/libjcore-1.1.18.so  /usr/lib

cp -r include/jx                   /usr/include/jx
cp lib/libjx-1.1.18.a              /usr/lib
install -m755 lib/libjx-1.1.18.so  /usr/lib

cp lib/libACE-4.5.a          /usr/lib
cp lib/libACE-4.5.so         /usr/lib
cp -r ACE/ACE_wrappers/ace   /usr/include/ace
cp ACE/README                /usr/doc/JX-1.1.18/README_ACE
cp ACE/ACE_wrappers/VERSION  /usr/doc/JX-1.1.18/ACE_VERSION

cp programs/makemake/README /usr/doc/JX-1.1.18/README_makemake
install -m755 programs/makemake/makemake   /usr/bin
install -m755 programs/makemake/makecheck  /usr/bin
install -m755 programs/makemake/maketouch  /usr/bin

cp programs/jxlayout/README /usr/doc/JX-1.1.18/README_jxlayout
install -m755 programs/jxlayout/fdesign   /usr/X11R6/bin
install -m755 programs/jxlayout/jfdesign  /usr/X11R6/bin
install -m755 programs/jxlayout/jxlayout  /usr/X11R6/bin

cp programs/code_crusader/README   /usr/doc/JX-1.1.18/README_code_crusader
cp programs/code_crusader/regex.7  /usr/doc/JX-1.1.18/regex.7
install -m755 programs/code_crusader/jcc           /usr/X11R6/bin
install -m755 programs/code_crusader/jfindfiles    /usr/bin
install -m755 programs/code_crusader/jsearchfiles  /usr/bin
install -m755 programs/code_crusader/dirdiff       /usr/bin

cp programs/code_medic/README            /usr/doc/JX-1.1.18/README_code_medic
install -m755 programs/code_medic/medic  /usr/X11R6/bin

mkdir /usr/lib/jx

mkdir /usr/lib/jx/jxlayout
cp programs/jxlayout/class_map       /usr/lib/jx/jxlayout
cp programs/jxlayout/option_map      /usr/lib/jx/jxlayout
cp programs/jxlayout/need_font_list  /usr/lib/jx/jxlayout

cp -r tutorial       /usr/lib/jx
cp -r libjcore/test  /usr/lib/jx/jcore_test
cp -r libjx/test     /usr/lib/jx/jx_test
cp -r ACE/test       /usr/lib/jx/ACE_test
cp -r include/make   /usr/lib/jx/make

mkdir /usr/lib/jx/lib
ln -s /usr/lib/libjcore-1.1.18.a   /usr/lib/jx/lib/libjcore-1.1.18.a
ln -s /usr/lib/libjcore-1.1.18.so  /usr/lib/jx/lib/libjcore-1.1.18.so
ln -s /usr/lib/libjx-1.1.18.a      /usr/lib/jx/lib/libjx-1.1.18.a
ln -s /usr/lib/libjx-1.1.18.so     /usr/lib/jx/lib/libjx-1.1.18.so
ln -s /usr/lib/libACE-4.5.a        /usr/lib/jx/lib/libACE-4.5.a
ln -s /usr/lib/libACE-4.5.so       /usr/lib/jx/lib/libACE-4.5.so

%post
ldconfig

%files

%docdir /usr/doc/JX-1.1.18

/usr/include/jcore
/usr/include/jx
/usr/include/ace
/usr/lib/jx

/usr/doc/JX-1.1.18

/usr/lib/libjcore-1.1.18.a
/usr/lib/libjcore-1.1.18.so
/usr/lib/libjx-1.1.18.a
/usr/lib/libjx-1.1.18.so
/usr/lib/libACE-4.5.a
/usr/lib/libACE-4.5.so

/usr/bin/makemake
/usr/bin/makecheck
/usr/bin/maketouch

/usr/X11R6/bin/fdesign
/usr/X11R6/bin/jfdesign
/usr/X11R6/bin/jxlayout

/usr/X11R6/bin/jcc
/usr/bin/jfindfiles
/usr/bin/jsearchfiles
/usr/bin/dirdiff

/usr/X11R6/bin/medic
